<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.main.MainActivity">

    <ImageView
        android:id="@+id/iv_logo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="18dp"
        android:layout_marginTop="20dp"
        android:src="@mipmap/h_logo"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="ContentDescription" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:text="@string/app_name"
        android:textColor="#222222"
        android:textSize="22sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/iv_logo"
        app:layout_constraintStart_toEndOf="@id/iv_logo"
        app:layout_constraintTop_toTopOf="@id/iv_logo"
        app:layout_constraintVertical_bias="0.0" />

    <LinearLayout
        android:id="@+id/ll_map"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_dcfbfd_25"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/iv_logo">

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="8dp"
            app:cardCornerRadius="25dp"
            app:cardElevation="0dp">

            <fragment
                android:id="@+id/map"
                class="com.google.android.gms.maps.SupportMapFragment"
                android:layout_width="match_parent"
                android:layout_height="190dp"
                tools:ignore="FragmentTagUsage" />

            <ImageView
                android:id="@+id/iv_fangda"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end|top"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="12dp"
                android:src="@mipmap/fangda"
                tools:ignore="ContentDescription" />

        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:id="@+id/ll_map_location"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="12dp"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:src="@mipmap/t_tishi"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="5dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/friend_location_map"
                    android:textColor="#222222"
                    android:textSize="18sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/view_friend_locations_on_the_map"
                    android:textColor="#617576"
                    android:textSize="14sp" />
            </LinearLayout>

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:src="@mipmap/h_jiantou"
                tools:ignore="ContentDescription" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_map">

        <FrameLayout
            android:id="@+id/fl_my_location_code"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:background="@mipmap/h_location_code">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal|bottom"
                android:layout_marginBottom="12dp"
                android:text="@string/my_location_code"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/fl_share_my_location"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:background="@mipmap/h_location_share">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal|bottom"
                android:layout_marginBottom="12dp"
                android:text="@string/share_my_location"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold" />
        </FrameLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_2">

        <FrameLayout
            android:id="@+id/fl_how_use"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:background="@mipmap/h_shiyong">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal|bottom"
                android:layout_marginBottom="12dp"
                android:text="@string/how_to_use"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/fl_settings"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:background="@mipmap/h_shezhi">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal|bottom"
                android:layout_marginBottom="12dp"
                android:text="@string/settings"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold" />
        </FrameLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>